Device Management API
Get Device List
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
| residence_id | String | Body | No | Residence ID |
| sub_device_type | []String | Body | No | Sub-device type |
| show_ability | Boolean | Body | No | Whether show device ability or not? true: show false: hide Only valid with residence_id |
| parallel_sub_device | Boolean | Body | No | Whether the sub-device is parallel or not? true: parallel false: nesting |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
| product_name | String | Body | Product name |
| device_type | String | Body | Device type |
| device_picture_url | String | Body | Device picture URL |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| abilities | []Object<ability> | Body | Ability information |
| space | Object<space> | Body | Space information |
| sub_devices | []Object<result> | Body | Sub-devices information |
| parent_device_id | String | Body | Parent device ID |
ability description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| ability_id | String | Body | Ability ID |
| ability_name | String | Body | Ability name |
| ability_type | String | Body | Ability type, see Standard Device Model |
| ability_attribute | []String | Body | Ability attribute, see Standard Device Model |
| state | String | Body | State, see Standard Device Model |
| attribute | Object | Body | Attribute, see Standard Device Model |
space description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| space_id | String | Body | Space ID |
| space_name | String | Body | Space name |
| parent_space_id | String | Body | Parent space ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_device_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"show_ability": true,
"parallel_sub_device": false
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0cx",
"device_name": "My Device",
"product_name": "HyPanel",
"device_type": "PS51",
"device_picture_url": "https://test.akubela.com/g.png",
"online": true,
"abilities": [
{
"ability_id": "e8b5a73f8dd84abaa94b1c288be49b0cv",
"ability_name": "led1",
"ability_type": "light",
"ability_attribute": [
"brightness"
],
"state": "on",
"attribute": {
"brightness": 70
}
},
{
"ability_id": "e8b5a73f8dd84abaa94b1c288be49b0cb",
"ability_name": "led2",
"ability_type": "light",
"ability_attribute": [],
"state": "off",
"attribute": {}
}
],
"space": {
"parent_space_id": "f8b5a73f8dd84abaa94b1c288be49b0ca",
"space_id": "rf8b5a73f8dd84abaa94b1c288be49b0c",
"space_name": "kitchen"
},
"sub_devices": [
{
"device_id": "d8b5a73f8dd84abaa94b1c288be49b0cf",
"device_name": "My Sub Device",
"product_name": "Motion Sensor",
"device_type": "Motion Sensor",
"device_picture_url": "https://test.akubela.com/o.png",
"abilities": [],
"space": {
"parent_space_id": "f8b5a73f8dd84abaa94b1c288be49b0ca",
"space_id": "rf8b5a73f8dd84abaa94b1c288be49b0c",
"space_name": "kitchen"
},
"online": true,
"parent_device_id": "d8b5a73f8dd84abaa94dcs288be49b0cx"
}
],
"parent_device_id": ""
}
]
}
Failure Return Example
Get Device Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
| product_name | String | Body | Product name |
| device_type | String | Body | Device type |
| device_picture_url | String | Body | Device picture URL |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| abilities | []Object<ability> | Body | Ability information |
| space | Object<space> | Body | Space information |
| sub_devices | []Object<result> | Body | Sub-devices information |
ability description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| ability_id | String | Body | Ability ID |
| ability_name | String | Body | Ability name |
| ability_type | String | Body | Ability type, see Standard Device Model |
| ability_attribute | []String | Body | Ability attribute, see Standard Device Model |
| state | String | Body | State, see Standard Device Model |
| attribute | Object | Body | Attribute, see Standard Device Model |
space description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| space_id | String | Body | Space ID |
| space_name | String | Body | Space name |
| parent_space_id | String | Body | Parent space ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_device_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0cx"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0cx",
"device_name": "My Device",
"product_name": "HyPanel",
"device_type": "PS51",
"device_picture_url": "https://test.akubela.com/g.png",
"online": true,
"abilities": [
{
"ability_id": "e8b5a73f8dd84abaa94b1c288be49b0cv",
"ability_name": "led1",
"ability_type": "light",
"ability_attribute": [
"brightness"
],
"state": "on",
"attribute": {
"brightness": 70
}
},
{
"ability_id": "e8b5a73f8dd84abaa94b1c288be49b0cb",
"ability_name": "led2",
"ability_type": "light",
"ability_attribute": [],
"state": "off",
"attribute": {}
}
],
"space": {
"parent_space_id": "f8b5a73f8dd84abaa94b1c288be49b0ca",
"space_id": "rf8b5a73f8dd84abaa94b1c288be49b0c",
"space_name": "kitchen"
},
"sub_devices": [
{
"device_id": "d8b5a73f8dd84abaa94b1c288be49b0cf",
"device_name": "My Sub Device",
"product_name": "Motion Sensor",
"device_type": "Motion Sensor",
"device_picture_url": "https://test.akubela.com/o.png",
"abilities": [],
"space": {
"parent_space_id": "f8b5a73f8dd84abaa94b1c288be49b0ca",
"space_id": "rf8b5a73f8dd84abaa94b1c288be49b0c",
"space_name": "kitchen"
},
"online": true
}
]
}
]
}
Failure Return Example
Control Device
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| ability_id | String | Body | Yes | Ability ID |
| control | String | Body | Yes | Control, see Standard Device Model |
| attribute | Object | Body | No | Attribute, see Standard Device Model |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "control_device",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0cx",
"ability_id": "e8b5a73f8dd84abaa94dcs288be49b4ce",
"control": "turn_on",
"attribute": {
"brightness": 70
}
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Control Device
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| devices | []Object<device> | Body | Yes | Device information |
device description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| ability_id | String | Body | Yes | Ability ID |
| control | String | Body | Yes | Control, see Standard Device Model |
| attribute | Object | Body | No | Attribute, see Standard Device Model |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_control_device",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"devices": [
{
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0cx",
"ability_id": "e8b5a73f8dd84abaa94dcs288be49b4ce",
"control": "turn_on",
"attribute": {
"brightness": 70
}
}
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Control Device Group
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| spaces | []Object<space> | Body | Yes | Space information |
| devices | []Object<device> | Body | Yes | Device information |
space description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| space_id | String | Body | Yes | Space ID |
device description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| ability_type | String | Body | Yes | Ability type, see Standard Device Model |
| control | String | Body | Yes | Control, see Standard Device Model |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_control_device_group",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"spaces": [
{
"space_id": "r8b5a73f8dd84abaa94dcs248be49b0d2"
}
],
"devices": [
{
"ability_type": "light",
"control": "turn_on"
}
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Update Device Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| space_id | String | Body | Yes | Space ID |
| device_name | String | Body | Yes | Device name |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_device_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_name": "test_device_name",
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "d3cbca664f4a10a0ce95452be1b67ca58",
"space_id": "rc3c6e408413be7fdc3e60f34f0950d6b"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Update Device Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| devices | []Object<device> | Body | Yes | Device information |
| residence_id | String | Body | Yes | Residence ID |
device description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| space_id | String | Body | Yes | Space ID |
| device_name | String | Body | Yes | Device name |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_update_device_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"devices": [
{
"device_id": "d2ab24943ba75edc0a77211e5084f95e0",
"space_id": "rcf986cb4c00d4a031a56a51a81e430d5",
"device_name": "test_device_name"
}
],
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Update Device Ability Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| ability_id | String | Body | Yes | Ability ID |
| ability_name | String | Body | Yes | Ability name |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_device_ability_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"ability_name": "test_name",
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "d3cbca664f4a10a0ce95452be1b67ca58",
"ability_id": "ac3c6e408413be7fdc3e60f34f0950d6b"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Update Device Ability Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| devices | []Object<device> | Body | Yes | Device information |
| residence_id | String | Body | Yes | Residence ID |
device description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| ability_id | String | Body | Yes | Ability ID |
| ability_name | String | Body | Yes | Ability name |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_update_device_ability_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"devices": [
{
"device_id": "d2ab24943ba75edc0a77211e5084f95e0",
"ability_id": "acf986cb4c00d4a031a56a51a81e430d5",
"ability_name": "test_name"
}
],
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Light Control Group Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_name | String | Body | Device name |
| space_id | String | Body | Space ID |
| control_group | Object<control_group> | Body | Control group |
control_group description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| low_brightness_level_groups | []Object<brightness_level_group> | Body | Low brightness level group information |
| medium_brightness_level_groups | []Object<brightness_level_group> | Body | Medium brightness level group information |
| high_brightness_level_groups | []Object<brightness_level_group> | Body | High brightness level group information |
brightness_level_group description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| ability_id | String | Body | Ability ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_light_control_group_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "d11adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"device_name": "test",
"space_id": "rafa332e258aae1badbb27d31128f442d",
"control_group": {
"low_brightness_level_groups": [
{
"device_id": "dafa332e258aae1badbb27d31128f4421",
"ability_id": "e8b5a73f8dd84abaa94b1c288be49b0c1"
}
],
"medium_brightness_level_groups": [],
"high_brightness_level_groups": []
}
}
}
Failure Return Example
Get Groupable Control Light List
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
| space_id | String | Body | Space ID |
| space_name | String | Body | Space name |
| abilities | []Object<ability> | Body | Ability information |
ability description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| ability_id | String | Body | Ability ID |
| ability_name | String | Body | Ability name |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_groupable_control_light_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"device_id": "dafa332e258aae1badbb27d31128f442d",
"device_name": "test_device",
"space_id": "r8b5a73f8dd84abaa94dcs248be49b0db",
"space_name": "my room",
"abilities": [
{
"ability_id": "e8b5a73f8dd84abaa94b1c288be49b0cv",
"ability_name": "led1"
}
]
}
]
}
Failure Return Example
Create Light Control Group Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_name | String | Body | Yes | Device name |
| space_id | String | Body | Yes | Space ID |
| control_group | Object<control_group> | Body | Yes | Control group |
control_group description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| low_brightness_level_groups | []Object<brightness_level_group> | Body | Yes | Low brightness level group information |
| medium_brightness_level_groups | []Object<brightness_level_group> | Body | Yes | Medium brightness level group information |
| high_brightness_level_groups | []Object<brightness_level_group> | Body | Yes | High brightness level group information |
brightness_level_group description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| ability_id | String | Body | Yes | Ability ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_light_control_group_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_name": "test",
"space_id": "rafa332e258aae1badbb27d31128f442d",
"control_group": {
"low_brightness_level_groups": [
{
"device_id": "dafa332e258aae1badbb27d31128f4421",
"ability_id": "e8b5a73f8dd84abaa94b1c288be49b0c1"
}
],
"medium_brightness_level_groups": [],
"high_brightness_level_groups": []
}
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"device_id": "d8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
Failure Return Example
Update Light Control Group Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
| device_name | String | Body | Yes | Device name |
| space_id | String | Body | Yes | Space ID |
| control_group | Object<control_group> | Body | Yes | Control group |
control_group description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| low_brightness_level_groups | []Object<brightness_level_group> | Body | Yes | Low brightness level group information |
| medium_brightness_level_groups | []Object<brightness_level_group> | Body | Yes | Medium brightness level group information |
| high_brightness_level_groups | []Object<brightness_level_group> | Body | Yes | High brightness level group information |
brightness_level_group description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| ability_id | String | Body | Yes | Ability ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_light_control_group_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "dafa332e258aae1badbb27d31128f5521",
"device_name": "test",
"space_id": "rafa332e258aae1badbb27d31128f442d",
"control_group": {
"low_brightness_level_groups": [
{
"device_id": "dafa332e258aae1badbb27d31128f4421",
"ability_id": "e8b5a73f8dd84abaa94b1c288be49b0c1"
}
],
"medium_brightness_level_groups": [],
"high_brightness_level_groups": []
}
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Lock Basic Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| language | String | Body | Language |
| supported_language | []String | Body | Supported language |
| volume | String | Body | Volume, high or medium or low or mute |
| dwell_alarm | Boolean | Body | Whether the dwell alarm is enable or not? true: enable false: disable |
| dwell_time | Integer | Body | Dwell time (s), 15 or 20 or 25 |
| monitoring_scope | String | Body | Monitoring scope, large or small |
| double_verification | Boolean | Body | Whether the double verification is enable or not? true: enable false: disable |
| wifi_ssid | String | Body | WiFi SSID |
| wifi_ip | String | Body | WiFi IP |
| wifi_gateway | String | Body | WiFi gateway |
| wifi_rssi | Integer | Body | WiFi RSSI |
| lock_version | String | Body | Lock version |
| rtsp_url | String | Body | RTSP URL |
| support_audio_intercom | Boolean | Body | Support audio intercom true: supported false: not supported |
| ciphertext | String | Body | Ciphertext, dependent on SDK |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_lock_basic_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "d3b5a73f8dd84abaa94dcs288be49b0pf"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"language": "en",
"supported_language": [
"zh",
"en"
],
"volume": "high",
"dwell_alarm": true,
"dwell_time": 20,
"monitoring_scope": "large",
"double_verification": true,
"wifi_ssid": "akubela",
"wifi_ip": "192.168.19.190",
"wifi_gateway": "192.168.19.1",
"wifi_rssi": -30,
"rtsp_url": "rtsp://192.168.19.32",
"support_audio_intercom": true,
"ciphertext": "7b3d75f5a8cfa959167852468fca08a1",
"lock_version": ""
}
}
Failure Return Example
Update Lock Basic Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| residence_id | String | Body | Yes | Residence ID |
| language | String | Body | No | Language |
| volume | String | Body | No | Volume, high or medium or low or mute |
| dwell_alarm | Boolean | Body | No | Whether the dwell alarm is enable or not? true: enable false: disable |
| dwell_time | Integer | Body | No | Dwell time (s), 15 or 20 or 25 |
| monitoring_scope | String | Body | No | Monitoring scope, large or small |
| double_verification | Boolean | Body | No | Whether the double verification is enable or not? true: enable false: disable |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_lock_basic_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "d3b5a73f8dd84abaa94dcs288be49b0pf",
"language": "en",
"volume": "high",
"dwell_alarm": true,
"dwell_time": 20,
"monitoring_scope": "large",
"double_verification": true
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Lock Temp Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| key_id | String | Body | Key ID |
| key_name | String | Body | Key name |
| temp_key | String | Body | Temp key |
| repeat_mode | String | Body | Repeat mode, never or weekly |
| available_days | []String | Body | Available days |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_lock_temp_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"key_name": "test",
"repeat_mode": "never",
"available_days": [],
"start_time": "2024-03-15 12:32:43",
"finish_time": "2024-03-15 17:32:43",
"temp_key": "01234567"
}
]
}
Failure Return Example
Create Lock Temp Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
| key_name | String | Body | Yes | Key name |
| temp_key | String | Body | Yes | Temp key |
| repeat_mode | String | Body | Yes | Repeat mode, never or weekly |
| available_days | []String | Body | No | Available days |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| key_id | String | Body | Key ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_lock_temp_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"key_name": "test",
"temp_key": "01234567",
"repeat_mode": "weekly",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"start_time": "12:32:43",
"finish_time": "17:32:43",
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Failure Return Example
Delete Lock Temp Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| key_id | String | Body | Yes | Key ID |
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_lock_temp_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Delete Lock Temp Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keys | []Object<key> | Body | Yes | Key information |
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
key description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| key_id | String | Body | Yes | Key ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_lock_temp_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"keys": [
{
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5"
}
],
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Lock Open Door Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| key_id | String | Body | Key ID |
| key_name | String | Body | Key name |
| open_door_key | String | Body | Open door key |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_lock_open_door_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"key_name": "test",
"open_door_key": "123456"
}
]
}
Failure Return Example
Create Lock Open Door Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
| key_name | String | Body | No | Key name |
| open_door_key | String | Body | Yes | Open door key |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| key_id | String | Body | Key ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_lock_open_door_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"open_door_key": "123456",
"key_name": "test",
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Failure Return Example
Update Lock Open Door Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
| key_id | String | Body | Yes | Key ID |
| key_name | String | Body | Yes | Key name |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_lock_open_door_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "d3b5a73f8dd84abaa94dcs288be49b0pf",
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"key_name": "test2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Delete Lock Open Door Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| key_id | String | Body | Yes | Key ID |
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_lock_open_door_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Delete Lock Open Door Key Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keys | []Object<key> | Body | Yes | Key information |
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
key description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| key_id | String | Body | Yes | Key ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_lock_open_door_key_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"keys": [
{
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5"
}
],
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Lock Fingerprint Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| key_id | String | Body | Key ID |
| key_name | String | Body | Key name |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_lock_fingerprint_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"key_name": "test"
}
]
}
Failure Return Example
Update Lock Fingerprint Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
| key_id | String | Body | Yes | Key ID |
| key_name | String | Body | Yes | Key name |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_lock_fingerprint_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "d3b5a73f8dd84abaa94dcs288be49b0pf",
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"key_name": "test2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Delete Lock Fingerprint Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| key_id | String | Body | Yes | Key ID |
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_lock_fingerprint_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Delete Lock Fingerprint Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keys | []Object<key> | Body | Yes | Key information |
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
key description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| key_id | String | Body | Yes | Key ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_lock_fingerprint_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"keys": [
{
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5"
}
],
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Turn on Lock Fingerprint Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "turn_on_lock_fingerprint_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0lv",
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Turn off Lock Fingerprint Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "turn_off_lock_fingerprint_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0lv",
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Lock Card Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| key_id | String | Body | Key ID |
| key_name | String | Body | Key name |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_lock_card_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"key_name": "test"
}
]
}
Failure Return Example
Update Lock Card Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
| key_id | String | Body | Yes | Key ID |
| key_name | String | Body | Yes | Key name |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_lock_card_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"device_id": "d3b5a73f8dd84abaa94dcs288be49b0pf",
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"key_name": "test2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Delete Lock Card Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| key_id | String | Body | Yes | Key ID |
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_lock_card_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5",
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Delete Lock Card Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keys | []Object<key> | Body | Yes | Key information |
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
key description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| key_id | String | Body | Yes | Key ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_lock_card_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"keys": [
{
"key_id": "kr31adc223cc4b3bedb6bd4742dedcfa5"
}
],
"residence_id": "r4b5a73f8dd84abaa94dcs248be49b0db",
"device_id": "dr31adc223cc4b3bedb6bd4742dedcfa2"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Turn on Lock Card Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "turn_on_lock_card_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0lv",
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Turn off Lock Card Config
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "turn_off_lock_card_config",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0lv",
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Lock History
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| device_id | String | Body | Yes | Device ID |
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
| lock_record_type | String | Body | No | Lock record type, unlock or alarm or doorbell or capture |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| lock_record_id | String | Body | Lock record ID |
| lock_record_type | String | Body | Lock record type, unlock or alarm or doorbell or capture |
| capture_picture_url | String | Body | Capture picture URL |
| lock_time | String | Body | Lock time, UTC |
| note | String | Body | Note |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_lock_history",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"device_id": "d1b5a73f8dd84abaa94dcs248be49b0db",
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"lock_record_id": "r1b5a73f8dd84abaa94dcs248be49b0d1",
"lock_type": "unlock",
"capture_picture_url": "",
"lock_time": "2025-02-16 13:32:43",
"note": ""
}
]
}
Failure Return Example
Lock Wakeup
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| residence_id | String | Body | Yes | Residence ID |
| wakeup_mode | String | Body | No | Wakeup mode, sip (default) or bluetooth |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "lock_wakeup",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0lv",
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Device History
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
| floor_id | String | Body | Floor ID |
| floor_name | String | Body | Floor name |
| residence_id | String | Body | Residence ID |
| residence_no | String | Body | Residence number |
| mac | String | Body | MAC |
| device_type | String | Body | Device type |
| log_type | String | Body | Log type |
| event_type | String | Body | Event type |
| source | String | Body | Source |
| created_time | String | Body | Created time, UTC |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_device_history",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "test",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"floor_id": "f1a621c1ae77040d697bd2134700f57ee",
"floor_name": "22",
"mac": "C10519082080",
"device_type": "climate",
"log_type": "send",
"event_type": "turn_all_on",
"source": "welcome",
"created_time": "2025-02-19 17:02:23"
}
]
}
Failure Return Example
Get Access Device List
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object | Body | Yes | Command parameter |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
| building_name | String | Body | Building name |
| floor | String | Body | Floor |
| residence_no | String | Body | Residence number |
| mac | String | Body | MAC |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| device_type | String | Body | Device type, Multi-tenants Doorphone or Single-tenant Doorphone or Access Control |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_access_device_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "test",
"residence_no": "101",
"building_name": "AB01",
"floor": "22",
"online": true,
"device_type": "Multi-tenants Doorphone",
"mac": "C10519082089"
}
]
}
Failure Return Example
Get Access Device Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_name | String | Body | Device name |
| building_name | String | Body | Building name |
| floor | String | Body | Floor |
| residence_no | String | Body | Residence number |
| mac | String | Body | MAC |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| device_type | String | Body | Device type, Multi-tenants Doorphone or Single-tenant Doorphone or Access Control |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_access_device_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"device_id": "d8b5a73f8dd84abaa94dcs288be49b0cx"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"device_name": "test",
"residence_no": "101",
"building_name": "AB01",
"floor": "22",
"online": true,
"device_type": "Multi-tenants Doorphone",
"mac": "C10519082089"
}
}